Subject: Brutal Pocket-Flashlight for SELF-DEFENSE (75% OFF).

From: "Self Defense Flashlight|X700 Flashlight" <[email-masked]>
Date: Thu, 3 Nov 2016 10:24:54 -0700

Your email client does not support HTML, this email must be viewed in HTML mode.